Issue 39199 - Translate German comments in source codes into English
Summary: Translate German comments in source codes into English
Status: ACCEPTED
Alias: None
Product: Internationalization
Classification: Code
Component: code (show other issues)
Version: current
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-17 10:10 UTC by bluedwarf
Modified: 2017-09-23 08:02 UTC (History)
8 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bluedwarf 2004-12-17 10:10:55 UTC
I'm sorry, I don't know which project is the most appropriate to handle this
issue so I attach this issue to native-lang in the meanwhile. Please change
project field if necessary.

Over 3-years has passed sience the first OpenOffice.org was released. There has
been, however, no movement to translate comments in source codes from German to
English yet. This problem increase hacking time for non-German programmers and
decrease the number of patches from them.

So I suggest all German programmers and volunteers translating them into
English. How did you like it?

Regards,
Comment 1 ooomod 2004-12-20 09:47:34 UTC
reassign issue to the right project. thanks for submitting.

Charles.
Comment 2 pavel 2005-09-07 09:14:50 UTC
Translating old comments is already in progress. Slow progress.

Working only on translation is not an option.
Comment 3 pavel 2005-09-07 09:15:17 UTC
closing.
Comment 4 Patricia Shanahan 2016-11-09 14:56:50 UTC
I am reopening this issue because I am trying to learn my way around the AOO source code, and it would help if I could read the comments. Rather than leaving it as a general translation project, I proposed using comments on this issue to identify specific files with German commments that a developer who does not read German is studying.

I suggest that developers who are able and willing to do comment translations add themselves to the CC list. When they have a few spare minutes to spend on this, select a requested file, do the translation for that file, and check it back in.
Comment 5 Patricia Shanahan 2016-11-09 15:01:59 UTC
Candidates for comment translation:

main/sw/source/core/doc/doc.cxx
main/sw/source/core/doc/docdesc.cxx
Comment 6 Mechtilde 2016-11-10 06:24:09 UTC
added
Comment 7 Marcus 2016-11-10 12:09:44 UTC
I'm taking the following files for translation:

main/sw/source/core/doc/doc.cxx
main/sw/source/core/doc/docdesc.cxx
Comment 8 SVN Robot 2016-11-10 14:12:57 UTC
"marcus" committed SVN revision 1769121 into trunk:
#i39199# Translated comments from German to English
Comment 9 Marcus 2016-11-10 14:14:40 UTC
Finished
Comment 10 SVN Robot 2016-11-10 23:09:36 UTC
"marcus" committed SVN revision 1769228 into trunk:
#i39199# Translated comments from German to English
Comment 11 Patricia Shanahan 2016-11-15 20:11:35 UTC
Candidates for translation:

main/sd/source/core/drawdoc.cxx
main/sfx2/inc/sfx2/linkmgr.hxx
main/sfx2/source/appl/linkmgr2.cxx
Comment 12 Marcus 2016-11-18 19:02:48 UTC
Starting now with:
main/sfx2/source/appl/linkmgr2.cxx
Comment 13 SVN Robot 2016-11-18 19:26:41 UTC
"marcus" committed SVN revision 1770428 into trunk:
#i39199# Translated comments from German to English
Comment 14 Marcus 2016-11-18 19:49:17 UTC
Starting now with:
main/sfx2/inc/sfx2/linkmgr.hxx
Comment 15 SVN Robot 2016-11-18 19:56:26 UTC
"marcus" committed SVN revision 1770434 into trunk:
#i39199# Translated comments from German to English
Comment 16 SVN Robot 2016-11-18 21:03:33 UTC
"marcus" committed SVN revision 1770438 into trunk:
#i39199# Translated comments from German to English
Comment 17 Marcus 2016-11-18 21:08:15 UTC
Starting now with:
main/sd/source/core/drawdoc.cxx
Comment 18 Marcus 2016-11-18 21:09:26 UTC
All 3 files are translated:

main/sd/source/core/drawdoc.cxx
main/sfx2/inc/sfx2/linkmgr.hxx
main/sfx2/source/appl/linkmgr2.cxx
Comment 19 Patricia Shanahan 2017-07-15 23:12:31 UTC
Candidate for comment translation:

main/sfx2/source/doc/objxtor.css
Comment 20 damjan 2017-09-20 14:35:13 UTC
Please translate these 2:
main/sc/inc/dociter.hxx
main/sc/source/core/data/dociter.cxx
Comment 21 Peter 2017-09-23 08:02:16 UTC
translated comment 19,20 in Revision 1809373